#include <stdio.h>
#include <stdlib.h>
#include <math.h>

int main(int argc, char** argv)
{
  double interarrival, uniform, lambda = (200. / (24*3600));
  int nb_meas;

  unsigned int seed;

  if (argc == 2)
  {
    nb_meas = atoi(argv[1]); // Number of daily measurements
    lambda = ((double) nb_meas / (24*3600));
  }

  FILE* random = fopen("/dev/urandom", "r");
  fread(&seed, sizeof(int), 1, random);
  fclose(random);
//  printf("Rate (lambda): %f\n", lambda);
//  printf("Seed: %u\n", seed);
  srand(seed);

  uniform = (double) rand() / (double) RAND_MAX;
  interarrival = -1/lambda*log(1-uniform);
//  printf("Uniform: %lf, Exponential: %lf\n", uniform, interarrival);
  printf("%d", (int) interarrival);
}
