#include <stdio.h>
#include <stdlib.h>
#include <math.h>

int main(int argc, char** argv)
{
  double logunif, uniform, lower = 100, upper = 1000000;

  unsigned int seed;

  if (argc == 3)
  {
    lower = atoi(argv[1]); // Lower bound
    upper = atoi(argv[2]); // Upper bound
  }
  else if (argc == 2)
  {
    upper = atoi(argv[1]); // Upper bound
  }

// printf("Lower: %lf, upper: %lf\n", lower, upper);

  FILE* random = fopen("/dev/urandom", "r");
  fread(&seed, sizeof(int), 1, random);
  fclose(random);
//  printf("Seed: %u\n", seed);
  srand(seed);

  uniform = (double) rand() / (double) RAND_MAX;
  logunif = lower * pow(10, uniform * (log10(upper) - log10(lower)));
  printf("%d", (int) logunif);
//  printf("Uniform: %lf, Exponential: %lf\n", uniform, interarrival);
}
